Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot.dial
Class DialValueIndicator

    java.lang.Object
      org.jfree.chart.plot.dial.AbstractDialLayer
          org.jfree.chart.plot.dial.DialValueIndicator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

    public class DialValueIndicator

extends AbstractDialLayer
implements DialLayer, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A value indicator for a `DialPlot`.

Since:
  1.0.7
See Also:
  Serialized Form

Constructor Summary
`DialValueIndicator()` Creates a new instance of `DialValueIndicator`.
`DialValueIndicator(int datasetIndex)` Creates a new instance of `DialValueIndicator`.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this instance.
`void` | `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the background to the specified graphics device.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` | `getAngle()` Returns the angle for the anchor point.
`java.awt.Paint` | `getBackgroundPaint()` Returns the background paint.
`int` | `getDatasetIndex()` Returns the index of the dataset from which this indicator fetches its current value.
`java.awt.Font` | `getFont()` Returns the font.
`org.jfree.ui.RectangleAnchor` | `getFrameAnchor()` Returns the frame anchor.
`org.jfree.ui.RectangleInsets` | `getInsets()` Returns the insets.
`java.text.NumberFormat` | `getNumberFormat()` Returns the formatter used to format the value.
`java.awt.Paint` | `getOutlinePaint()` Returns the outline paint.
`java.awt.Stroke` | `getOutlineStroke()` Returns the outline stroke.
`java.awt.Paint` | `getPaint()` Returns the paint.
`double` | `getRadius()` Returns the radius.
`java.lang.Number` | `getTemplateValue()` Returns the template value.
`org.jfree.ui.TextAnchor` | `getTextAnchor()` Returns the text anchor.
`org.jfree.ui.RectangleAnchor` | `getValueAnchor()` Returns the value anchor.
`int` | `hashCode()` Returns a hash code for this instance.
`boolean` | `isClippedToWindow()` Returns `true` to indicate that this layer should be clipped within the dial window.
`void` | `setAngle(double angle)` Sets the angle for the anchor point and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setBackgroundPaint(java.awt.Paint paint)` Sets the background paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setDatasetIndex(int index)` Sets the dataset index and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setFont(java.awt.Font font)` Sets the font and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setFrameAnchor(org.jfree.ui.RectangleAnchor anchor)` Sets the frame anchor and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setInsets(org.jfree.ui.RectangleInsets insets)` Sets the insets and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setNumberFormat(java.text.NumberFormat formatter)` Sets the formatter used to format the value and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setOutlinePaint(java.awt.Paint paint)` Sets the outline paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setOutlineStroke(java.awt.Stroke stroke)` Sets the outline stroke and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setPaint(java.awt.Paint paint)` Sets the paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setRadius(double radius)` Sets the radius and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setTemplateValue(java.lang.Number value)` Sets the template value and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setTextAnchor(org.jfree.ui.TextAnchor anchor)` Sets the text anchor and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setValueAnchor(org.jfree.ui.RectangleAnchor anchor)` Sets the value anchor and sends a `DialLayerChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer
`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, hasListener, isVisible, removeChangeListener`

Constructor Detail

### DialValueIndicator

    public DialValueIndicator()

  Creates a new instance of `DialValueIndicator`.

### DialValueIndicator

    public DialValueIndicator(int datasetIndex)

  Creates a new instance of `DialValueIndicator`.

  Parameters:
    `datasetIndex` - the dataset index.

Method Detail

### getDatasetIndex

    public int getDatasetIndex()

  Returns the index of the dataset from which this indicator fetches its current value.

  Returns:
    The dataset index.
  See Also:
    `setDatasetIndex(int)`

### setDatasetIndex

    public void setDatasetIndex(int index)

  Sets the dataset index and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `index` - the index.
  See Also:
    `getDatasetIndex()`

### getAngle

    public double getAngle()

  Returns the angle for the anchor point. The angle is specified in degrees using the same orientation as Java's `Arc2D` class.

  Returns:
    The angle (in degrees).
  See Also:
    `setAngle(double)`

### setAngle

    public void setAngle(double angle)

  Sets the angle for the anchor point and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `angle` - the angle (in degrees).
  See Also:
    `getAngle()`

### getRadius

    public double getRadius()

  Returns the radius.

  Returns:
    The radius.
  See Also:
    `setRadius(double)`

### setRadius

    public void setRadius(double radius)

  Sets the radius and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `radius` - the radius.
  See Also:
    `getRadius()`

### getFrameAnchor

    public org.jfree.ui.RectangleAnchor getFrameAnchor()

  Returns the frame anchor.

  Returns:
    The frame anchor.
  See Also:
    `setFrameAnchor(RectangleAnchor)`

### setFrameAnchor

    public void setFrameAnchor(org.jfree.ui.RectangleAnchor anchor)

  Sets the frame anchor and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `anchor` - the anchor (`null` not permitted).
  See Also:
    `getFrameAnchor()`

### getTemplateValue

    public java.lang.Number getTemplateValue()

  Returns the template value.

  Returns:
    The template value (never `null`).
  See Also:
    `setTemplateValue(Number)`

### setTemplateValue

    public void setTemplateValue(java.lang.Number value)

  Sets the template value and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `value` - the value (`null` not permitted).
  See Also:
    `setTemplateValue(Number)`

### getNumberFormat

    public java.text.NumberFormat getNumberFormat()

  Returns the formatter used to format the value.

  Returns:
    The formatter (never `null`).
  See Also:
    `setNumberFormat(NumberFormat)`

### setNumberFormat

    public void setNumberFormat(java.text.NumberFormat formatter)

  Sets the formatter used to format the value and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `formatter` - the formatter (`null` not permitted).
  See Also:
    `getNumberFormat()`

### getFont

    public java.awt.Font getFont()

  Returns the font.

  Returns:
    The font (never `null`).
  See Also:
    `getFont()`

### setFont

    public void setFont(java.awt.Font font)

  Sets the font and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `font` - the font (`null` not permitted).

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint.

  Returns:
    The paint (never `null`).
  See Also:
    `setPaint(Paint)`

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getPaint()`

### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

  Returns the background paint.

  Returns:
    The background paint.
  See Also:
    `setBackgroundPaint(Paint)`

### setBackgroundPaint

    public void setBackgroundPaint(java.awt.Paint paint)

  Sets the background paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getBackgroundPaint()`

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the outline stroke.

  Returns:
    The outline stroke (never `null`).
  See Also:
    `setOutlineStroke(Stroke)`

### setOutlineStroke

    public void setOutlineStroke(java.awt.Stroke stroke)

  Sets the outline stroke and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `stroke` - the stroke (`null` not permitted).
  See Also:
    `getOutlineStroke()`

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    The outline paint (never `null`).
  See Also:
    `setOutlinePaint(Paint)`

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

  Sets the outline paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getOutlinePaint()`

### getInsets

    public org.jfree.ui.RectangleInsets getInsets()

  Returns the insets.

  Returns:
    The insets (never `null`).
  See Also:
    `setInsets(RectangleInsets)`

### setInsets

    public void setInsets(org.jfree.ui.RectangleInsets insets)

  Sets the insets and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `insets` - the insets (`null` not permitted).
  See Also:
    `getInsets()`

### getValueAnchor

    public org.jfree.ui.RectangleAnchor getValueAnchor()

  Returns the value anchor.

  Returns:
    The value anchor (never `null`).
  See Also:
    `setValueAnchor(RectangleAnchor)`

### setValueAnchor

    public void setValueAnchor(org.jfree.ui.RectangleAnchor anchor)

  Sets the value anchor and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `anchor` - the anchor (`null` not permitted).
  See Also:
    `getValueAnchor()`

### getTextAnchor

    public org.jfree.ui.TextAnchor getTextAnchor()

  Returns the text anchor.

  Returns:
    The text anchor (never `null`).
  See Also:
    `setTextAnchor(TextAnchor)`

### setTextAnchor

    public void setTextAnchor(org.jfree.ui.TextAnchor anchor)

  Sets the text anchor and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `anchor` - the anchor (`null` not permitted).
  See Also:
    `getTextAnchor()`

### isClippedToWindow

    public boolean isClippedToWindow()

  Returns `true` to indicate that this layer should be clipped within the dial window.

  Specified by:
    `isClippedToWindow` in interface `DialLayer`
  Returns:
    `true`.

### draw

    public void draw(java.awt.Graphics2D g2,
                     DialPlot plot,
                     java.awt.geom.Rectangle2D frame,
                     java.awt.geom.Rectangle2D view)

  Draws the background to the specified graphics device. If the dial frame specifies a window, the clipping region will already have been set to this window before this method is called.

  Specified by:
    `draw` in interface `DialLayer`
  Parameters:
    `g2` - the graphics device (`null` not permitted).
    `plot` - the plot (ignored here).
    `frame` - the dial frame (ignored here).
    `view` - the view rectangle (`null` not permitted).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `AbstractDialLayer`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `AbstractDialLayer`
  Returns:
    The hash code.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this instance.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `AbstractDialLayer`
  Returns:
    The clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if some attribute of this instance cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.